#include <Ultrasonic.h>

#define TRIGGER_PIN  4
#define ECHO_PIN     3

int cm;

Ultrasonic ultrasonic(TRIGGER_PIN, ECHO_PIN);

void setup() {               
  pinMode(5, OUTPUT); 
  pinMode(6, OUTPUT); 
  pinMode(10, OUTPUT);
  pinMode(11, OUTPUT);
  pinMode(13, OUTPUT);  
}

void loop() {
  UsSensor();
  if(cmMsec>20){
    Forward(100);
    delay(10);
  }
  else{
    while(cmMsec<25){
    Reverse(100);
    }
    Stop();
    delay(500);
    Left(100);
    delay(100);
  }
}

void Forward(int Speed){
  analogWrite(5, Speed);
  analogWrite(10, Speed);
  analogWrite(6, LOW);
  analogWrite(11, LOW);
  return;
}

void Reverse(int Speed){
  analogWrite(6, Speed);
  analogWrite(11, Speed);
  analogWrite(5, LOW);
  analogWrite(10, LOW);
  return;
}

void Right(int Speed){
  analogWrite(6, Speed);
  analogWrite(10, Speed);
  analogWrite(5, LOW);
  analogWrite(11, LOW);
  return;
}

void Left(int Speed){
  analogWrite(5, Speed);
  analogWrite(11, Speed);
  analogWrite(6, LOW);
  analogWrite(10, LOW);
  return;
}

void Stop(){
  analogWrite(5, LOW);
  analogWrite(10, LOW);
  analogWrite(6, LOW);
  analogWrite(11, LOW);
  return;
}

void UsSensor(){
    float cmMsec;
  long microsec = ultrasonic.timing();
  cmMsec = ultrasonic.convert(microsec, Ultrasonic::CM);
  delay(10);
  return;
}


